edu.isi.pegasus.planner.partitioner

## Class PDAXWriter

- java.lang.Object
- - edu.isi.pegasus.planner.partitioner.PDAXWriter

    public class PDAXWriter
    extends java.lang.Object

It writes out the partition graph in xml form.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`private java.lang.String` `mFileName` The fully qaulified path to the file being written.
`private LogManager` `mLogger` The handle to the logging object.
`private java.lang.String` `mName` The name assigned to the pdax file being written.
`private java.io.PrintWriter` `mWriteHandle` The write handle to the xml file being written.
`static java.lang.String` `XML_NAMESPACE`
`static java.lang.String` `XML_VERSION` The version of the associated xml schema, to which the pdax files being written conform to.

### Constructor Summary

Constructors
Constructor and Description
`PDAXWriter(java.lang.String name, java.lang.String fileName)` The overloaded constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close the xml file that is written.
`void` `write(Partition p)` Writes out a partition to the associate XML stream.
`void` `write(java.lang.String st)` Writes out to the file.
`void` `writeHeader()` Writes out the opening element of the xml document.
`void` `writeln(java.lang.String st)` Writes out to the file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XML_VERSION

    public static final java.lang.String XML_VERSION

The version of the associated xml schema, to which the pdax files being written conform to.

See Also:
  Constant Field Values

#### XML_NAMESPACE

    public static final java.lang.String XML_NAMESPACE

See Also:
  Constant Field Values

#### mWriteHandle

    private java.io.PrintWriter mWriteHandle

The write handle to the xml file being written.

#### mLogger

    private LogManager mLogger

The handle to the logging object.

#### mName

    private java.lang.String mName

The name assigned to the pdax file being written.

#### mFileName

    private java.lang.String mFileName

The fully qaulified path to the file being written.

### Constructor Detail

#### PDAXWriter

    public PDAXWriter(java.lang.String name,
                      java.lang.String fileName)

The overloaded constructor.

Parameters:
  `name` - the name that is assigned to the pdax.
  `fileName` - the path to the xml file that has to be written.

### Method Detail

#### writeHeader

    public void writeHeader()

Writes out the opening element of the xml document.

#### write

    public void write(Partition p)
               throws java.io.IOException

Writes out a partition to the associate XML stream.

Parameters:
  `p` - the partition to be written to the stream.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### write

    public void write(java.lang.String st)

Writes out to the file.

Parameters:
  `st` - String

#### writeln

    public void writeln(java.lang.String st)

Writes out to the file.

Parameters:
  `st` - String

#### close

    public void close()

Close the xml file that is written.